Table of Contents

Class: _WatchMonkey | Twisted-0.17.4/twisted/manhole/explorer.py
--- | ---

### I hang on a method and tell you what I see.

TODO: Aya! Now I just do browseObject all the time, but I could tell you what got called with what when and returning what.

Methods |
--- | ---
__call__ __init__ install uninstall
| __call__

    __call__ (
            self,
            instance,
            *a,
            *kw,
            )

Pretend to be the method I replaced, and ring the bell.

| __init__

    __init__ ( self,  instance )

Make a monkey to hang on this instance object.

| install

    install ( self,  methodIdentifier )

Install myself on my instance in place of this method.

| uninstall

    uninstall ( self )

### Remove myself from this instance and restore the original method.

(I hope.)

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:57 2002 by HappyDoc version 2.0